All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::opencl::kernels::avbv_config Struct Reference

Configuration struct for generating OpenCL kernels for linear combinations of vectors. More...

`#include <vector.hpp>`

## Public Member Functions

| avbv_config ()

## Public Attributes

bool | with_stride_and_range
std::string | assign_op
avbv_scalar_type | a
avbv_scalar_type | b

## Detailed Description

Configuration struct for generating OpenCL kernels for linear combinations of vectors.

Definition at line 55 of file vector.hpp.

## Constructor & Destructor Documentation

viennacl::linalg::opencl::kernels::avbv_config::avbv_config | ( |  | ) |

inline

Definition at line 57 of file vector.hpp.

## Member Data Documentation

avbv_scalar_type viennacl::linalg::opencl::kernels::avbv_config::a

Definition at line 61 of file vector.hpp.

std::string viennacl::linalg::opencl::kernels::avbv_config::assign_op

Definition at line 60 of file vector.hpp.

avbv_scalar_type viennacl::linalg::opencl::kernels::avbv_config::b

Definition at line 62 of file vector.hpp.

bool viennacl::linalg::opencl::kernels::avbv_config::with_stride_and_range

Definition at line 59 of file vector.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/opencl/kernels/vector.hpp